import { blinkMotion } from "../../style/motion/blink.js";
import { genCollapseMotion } from "../../style/motion/collapse.js";
import { genStyleHooks } from "../../theme/genStyleUtils.js";
import genThinkStyle from "./think.js";
import { mergeToken } from "@antdv-next/cssinjs/cssinjs-utils";
//#region components/think/style/index.ts
var prepareComponentToken = (token) => ({
	colorTextBlink: token.colorTextBase,
	colorTextBlinkDefault: token.colorTextDescription
});
var style_default = genStyleHooks("Think", (token) => {
	const thinkToken = mergeToken(token, {});
	return [
		genThinkStyle(thinkToken),
		genCollapseMotion(thinkToken),
		blinkMotion(thinkToken, `${thinkToken.componentCls}-motion-blink`)
	];
}, prepareComponentToken);
//#endregion
export { style_default as default, prepareComponentToken };
